| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.EXT.BindableUniform

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions
Tokens

Description
All raw functions and tokens from the EXT_bindable_uniform extension not already in the OpenGL 3.1 core, see http://www.opengl.org/registry/specs/EXT/bindable_uniform.txt.
Synopsis

glUniformBuffer :: GLuint -> GLint -> GLuint -> IO ()
glGetUniformBufferSize :: GLuint -> GLint -> IO GLint
glGetUniformOffset :: GLuint -> GLint -> IO GLintptr
gl_MAX_VERTEX_BINDABLE_UNIFORMS :: GLenum
gl_MAX_FRAGMENT_BINDABLE_UNIFORMS :: GLenum
gl_MAX_GEOMETRY_BINDABLE_UNIFORMS :: GLenum
gl_MAX_BINDABLE_UNIFORM_SIZE :: GLenum
gl_UNIFORM_BUFFER_BINDING_EXT :: GLenum
gl_UNIFORM_BUFFER_EXT :: GLenum

Functions

glUniformBuffer :: GLuint -> GLint -> GLuint -> IO () | Source

glGetUniformBufferSize :: GLuint -> GLint -> IO GLint | Source

glGetUniformOffset :: GLuint -> GLint -> IO GLintptr | Source

Tokens

gl_MAX_VERTEX_BINDABLE_UNIFORMS :: GLenum | Source

gl_MAX_FRAGMENT_BINDABLE_UNIFORMS :: GLenum | Source

gl_MAX_GEOMETRY_BINDABLE_UNIFORMS :: GLenum | Source

gl_MAX_BINDABLE_UNIFORM_SIZE :: GLenum | Source

gl_UNIFORM_BUFFER_BINDING_EXT :: GLenum | Source

NOTE: The OpenGL 3.1 core has the same token with a different value, so we use a suffix here.

gl_UNIFORM_BUFFER_EXT :: GLenum | Source

NOTE: The OpenGL 3.1 core has the same token with a different value, so we use a suffix here.
Produced by Haddock version 2.4.2